Bug 197060 - [src] Test failure: local.atf.atf-sh.atf_check_test.flush_stdout_on_timeout
Summary: [src] Test failure: local.atf.atf-sh.atf_check_test.flush_stdout_on_timeout
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: tests (show other bugs)
Version: CURRENT
Hardware: Any Any
: --- Affects Some People
Assignee: Enji Cooper
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-01-24 23:29 UTC by Enji Cooper
Modified: 2015-05-31 22:45 UTC (History)
3 users (show)

See Also:
ngie: mfc-stable10+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Comment 2 Enji Cooper freebsd_committer 2015-02-14 07:23:25 UTC
Pull request opened upstream to raise the timeout from 1 to 5 seconds when waiting for the command to fully form: https://github.com/jmmv/atf/pull/21 .
Comment 3 Julio Merino,+1 347 694 0576,New York City freebsd_committer 2015-02-17 23:26:26 UTC
Please try revision 0e546407567ea858e261e72f75c5ed61e07d0ddf instead.  That should really fix the test instead of hiding its inherent problems.
Comment 4 Enji Cooper freebsd_committer 2015-04-22 18:52:11 UTC
Ok, I'll look at bringing this change in. There have been a LOT of errors lately on
Jenkins related to this testcase, which is generating a lot of failure spam email.

https://jenkins.freebsd.org/job/FreeBSD_HEAD-tests2/964/testReport/junit/libexec.atf.atf-sh/atf_check_test/flush_stdout_on_timeout/

, etc
Comment 5 commit-hook freebsd_committer 2015-05-21 03:27:33 UTC
A commit references this bug:

Author: ngie
Date: Thu May 21 03:26:47 UTC 2015
New revision: 283166
URL: https://svnweb.freebsd.org/changeset/base/283166

Log:
  Import proposed fix from
  https://github.com/jmmv/atf/commit/0e546407567ea858e261e72f75c5ed61e07d0ddf.patch

  PR: 197060

  Original commit message:

  From 0e546407567ea858e261e72f75c5ed61e07d0ddf Mon Sep 17 00:00:00 2001
  From: Julio Merino <jmmv@google.com>
  Date: Tue, 17 Feb 2015 18:10:11 -0500
  Subject: [PATCH] Fix atf-sh/atf_check_test:flush_stdout_on_death

  The test atf-sh/atf_check_test:flush_stdout_on_timeout was flaky as it
  was playing solely with time.  Fix this by making the test more robust
  and rename it while we are at it: there is nothing left about "timeouts"
  in this test, considering that ATF itself does not enforce deadlines
  any longer.

  Fixes FreeBSD PR 197060.

Changes:
  vendor/atf/dist/atf-sh/atf_check_test.sh
  vendor/atf/dist/atf-sh/misc_helpers.sh
Comment 6 commit-hook freebsd_committer 2015-05-21 05:06:40 UTC
A commit references this bug:

Author: ngie
Date: Thu May 21 05:06:09 UTC 2015
New revision: 283170
URL: https://svnweb.freebsd.org/changeset/base/283170

Log:
  Import proposed fix from upstream for
  atf-sh/atf_check_test:flush_stdout_on_timeout

  Many thanks for jmmv for the fix!

  MFC after: 1 week
  PR: 197060

  Original commit message:

  From 0e546407567ea858e261e72f75c5ed61e07d0ddf Mon Sep 17 00:00:00 2001
  From: Julio Merino <jmmv@google.com>
  Date: Tue, 17 Feb 2015 18:10:11 -0500
  Subject: [PATCH] Fix atf-sh/atf_check_test:flush_stdout_on_death

  The test atf-sh/atf_check_test:flush_stdout_on_timeout was flaky as it
  was playing solely with time.  Fix this by making the test more robust
  and rename it while we are at it: there is nothing left about "timeouts"
  in this test, considering that ATF itself does not enforce deadlines
  any longer.

  Fixes FreeBSD PR 197060.

Changes:
_U  head/contrib/atf/
  head/contrib/atf/atf-sh/atf_check_test.sh
  head/contrib/atf/atf-sh/misc_helpers.sh
Comment 7 Enji Cooper freebsd_committer 2015-05-21 05:12:44 UTC
I'll own the MFC of the fix to stable/10.

The port still needs to be fixed (I'll clone this bug for the port).
Comment 8 commit-hook freebsd_committer 2015-05-31 22:44:38 UTC
A commit references this bug:

Author: ngie
Date: Sun May 31 22:44:15 UTC 2015
New revision: 283848
URL: https://svnweb.freebsd.org/changeset/base/283848

Log:
  MFC r283170:

  Import proposed fix from upstream for
  atf-sh/atf_check_test:flush_stdout_on_timeout

  Many thanks for jmmv for the fix!

  PR: 197060

  Original commit message:

  From 0e546407567ea858e261e72f75c5ed61e07d0ddf Mon Sep 17 00:00:00 2001
  From: Julio Merino <jmmv@google.com>
  Date: Tue, 17 Feb 2015 18:10:11 -0500
  Subject: [PATCH] Fix atf-sh/atf_check_test:flush_stdout_on_death

  The test atf-sh/atf_check_test:flush_stdout_on_timeout was flaky as it
  was playing solely with time.  Fix this by making the test more robust
  and rename it while we are at it: there is nothing left about "timeouts"
  in this test, considering that ATF itself does not enforce deadlines
  any longer.

  Fixes FreeBSD PR 197060.

Changes:
_U  stable/10/
  stable/10/contrib/atf/atf-sh/atf_check_test.sh
  stable/10/contrib/atf/atf-sh/misc_helpers.sh